#### Beyond Linux® From Scratch (systemd Edition) - Version 10.1

### Chapter 9. General Libraries

- Prev

  Umockdev-0.15.4

- Next

  Wayland-Protocols-1.20

- Up
- Home

# Wayland-1.19.0

## Introduction to Wayland

Wayland is a project to define a protocol for a compositor to talk to its clients as well as a library implementation of the protocol.

This package is known to build and work properly using an LFS-10.1 platform.

### Package Information

- Download (HTTP): https://wayland.freedesktop.org/releases/wayland-1.19.0.tar.xz

- Download MD5 sum: 5d59ac3d8a8f4e42de2ceb8bb19dfca9

- Download size: 448 KB

- Estimated disk space required: 15 MB (with tests)

- Estimated build time: 0.2 SBU (with tests)

### Wayland Dependencies

#### Required

libxml2-2.9.10

#### Optional

Doxygen-1.9.1, Graphviz-2.44.1 and xmlto-0.0.28 (to build the API documentation) and docbook-xml-4.5, docbook-xsl-1.79.2 and libxslt-1.1.34 (to build the manual pages)

User Notes: http://wiki.linuxfromscratch.org/blfs/wiki/wayland

## Installation of Wayland

Install Wayland by running the following commands:

    ./configure --prefix=/usr    \
                --disable-static \
                --disable-documentation &&
    make

To test the results, issue: make check.

Now, as the `root` user:

    make install

## Command Explanations

`--disable-static`: This switch prevents installation of static versions of the libraries.

`--disable-documentation`: This switch is used to disable building of the API documentation. Remove it if you have installed optional dependencies.

## Contents

Installed Programs: wayland-scanner
Installed Libraries: libwayland-client.so, libwayland-cursor.so, libwayland-egl.so, and libwayland-server.so
Installed Directories: /usr/share/wayland

### Short Descriptions

wayland-scanner | is a tool to generate proxy methods in wayland-client-protocol.h and wayland-server-protocol.h
`libwayland-client.so` | contains API functions for writing Wayland applications
`libwayland-cursor.so` | contains API functions for managing cursors in Wayland applications
`libwayland-egl.so` | contains API functions for handling OpenGL calls in Wayland applications
`libwayland-server.so` | contains API functions for writing Wayland compositors

Last updated on 2015-07-31 23:26:22 -0500

- Prev

  Umockdev-0.15.4

- Next

  Wayland-Protocols-1.20

- Up
- Home